<?php
	header('Content-Type: text/html; charset=utf-8');
	header("Cache-Control: no-cache, no-store, must-revalidate, pre-check=0, max-age=0, post-check=0");

	require_once("global_functions.php");
	require_once("config/sIT_global_db_functions.php");
	
	$con=sIT_mysql_connect(SQL_HOST, SQL_USER, SQL_PW, SQL_DB);
	
	$funktion=false;
	if(isset($_REQUEST['funktion']) && $_REQUEST['funktion'] != '') $funktion=$_REQUEST['funktion'];

	switch ($funktion){
		case "az_speichern": az_speichern(); break;
		default: echo "Error !-!-! Falscher Aufruf von ajax_funktionen, Funktion nicht bekannt".$funktion;
	}
	
	function az_speichern()
	{
		global $con;
		$datum=date("Y-m-d");

		//var_dump($_REQUEST);
		foreach ($_REQUEST['benutzer_id'] as $key=>$benutzer_id)
		{
			
			$absenz_name=$_REQUEST['tag_typ'][$key];
			$az_von=$_REQUEST['az_von'][$key];
			$az_bis=$_REQUEST['az_bis'][$key];
			$az_von2=$_REQUEST['az_von2'][$key];
			$az_bis2=$_REQUEST['az_bis2'][$key];
			
			if ($absenz_name==='Arbeit')
			{
				if (strtotime($az_von) >= strtotime($az_bis) )
				{
					
					echo "Fehler bei User ".$_REQUEST['benutzer_name'][$key];
					return(1);
				}
				else
				if ($az_von2!=="" && $az_bis2!=="" )
				{
					if (strtotime($az_bis) >= strtotime($az_von2) )
					{
						echo "Fehler bei User ".$_REQUEST['benutzer_name'][$key];
						return(1);
					}
					else
					if (strtotime($az_von2) >= strtotime($az_bis2) )
					{
						
						echo "Fehler bei User ".$_REQUEST['benutzer_name'][$key];
						return(1);
					}
				}
			}
			
			//echo $benutzer_id . $absenz_name . $az_von . $az_bis;
			$Q1=sIT_mysql_run_query($con, "DELETE FROM arbeitszeit_schreiben WHERE benutzer_id=$benutzer_id AND datum='$datum'", true);
			$Q1=sIT_mysql_run_query($con, "INSERT INTO arbeitszeit_schreiben SET benutzer_id=$benutzer_id, datum='$datum', absenz_name='$absenz_name', az_beginn='$az_von', az_ende='$az_bis', az_beginn2='$az_von2', az_ende2='$az_bis2'", true);
			
		}
		echo "erfolgreich gespeichert!";
	}
?>